curl --request GET \
--url https://api.cloudglue.dev/v1/collections/{collection_id}/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/collections/{collection_id}/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/collections/{collection_id}/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"file_id": "<string>",
"data": {
"entities": {},
"segment_entities": [
{
"start_time": 123,
"end_time": 123,
"entities": {}
}
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Batch Fetch Video Entities
List all extracted entities for files in a collection. This API is only available when a collection is created with collection_type ‘entities’
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the collection
Query Parameters
Maximum number of files to return
x <= 100Number of files to skip
Order the files by a specific field
added_at, filename Sort the files in ascending or descending order
asc, desc Filter files added before a specific date (YYYY-MM-DD format), in UTC timezone
Filter files added after a specific date (YYYY-MM-DD format), in UTC timezone
Response
A list of file entities in the collection
Object type, always 'list'
list Array of file entities
Show child attributes
Show child attributes
Total number of files with entities matching the query
Number of items returned in this response
Offset from the start of the list